aboutsummaryrefslogtreecommitdiffstats
path: root/bootstrap-verify-perf.sh
diff options
context:
space:
mode:
authorTibor Frank <tifrank@cisco.com>2017-04-11 11:26:17 +0200
committerPeter Mikus <pmikus@cisco.com>2017-04-18 12:28:34 +0000
commit65765ab9f038aed6729fd436e6af6d3ca339e0d8 (patch)
tree9fee1c0da13b7e1fdea6676ae7f900720e59e8b3 /bootstrap-verify-perf.sh
parent928c10f757eeb9df8eb78c6c4ad026b62f792962 (diff)
CSIT-531: Performance jobs reorganization, part 1
Add: - csit-vpp-perf-trend-daily - csit-vpp-perf-trend-semiweekly Change-Id: I59ed581f9fb2457cf1e3a58bac625f3b807d653f Signed-off-by: Tibor Frank <tifrank@cisco.com>
Diffstat (limited to 'bootstrap-verify-perf.sh')
-rwxr-xr-xbootstrap-verify-perf.sh22
1 files changed, 17 insertions, 5 deletions
diff --git a/bootstrap-verify-perf.sh b/bootstrap-verify-perf.sh
index e0a2e039bc..12afedb1c6 100755
--- a/bootstrap-verify-perf.sh
+++ b/bootstrap-verify-perf.sh
@@ -25,7 +25,7 @@ SCRIPT_DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
RESERVATION_DIR="/tmp/reservation_dir"
INSTALLATION_DIR="/tmp/install_dir"
-PYBOT_ARGS="-W 150"
+PYBOT_ARGS="-W 150 -L TRACE"
ARCHIVE_ARTIFACTS=(log.html output.xml report.html output_perf_data.xml)
@@ -136,9 +136,24 @@ fi
case "$TEST_TAG" in
# run specific performance tests based on jenkins job type variable
+ PERFTEST_DAILY )
+ pybot ${PYBOT_ARGS} \
+ -v TOPOLOGY_PATH:${WORKING_TOPOLOGY} \
+ -s "tests.perf" \
+ --include ndrdiscANDnic_intel-x520-da2AND1t1cORndrdiscANDnic_intel-x520-da2AND2t2c \
+ tests/
+ RETURN_STATUS=$(echo $?)
+ ;;
+ PERFTEST_SEMI_WEEKLY )
+ pybot ${PYBOT_ARGS} \
+ -v TOPOLOGY_PATH:${WORKING_TOPOLOGY} \
+ -s "tests.perf" \
+ --include ndrdiscANDnic_intel-x710AND1t1cORndrdiscANDnic_intel-x710AND2t2cORndrdiscANDnic_intel-xl710AND1t1cORndrdiscANDnic_intel-xl710AND2t2c \
+ tests/
+ RETURN_STATUS=$(echo $?)
+ ;;
PERFTEST_LONG )
pybot ${PYBOT_ARGS} \
- -L TRACE \
-v TOPOLOGY_PATH:${WORKING_TOPOLOGY} \
-s "tests.perf" \
--exclude SKIP_PATCH \
@@ -148,7 +163,6 @@ case "$TEST_TAG" in
;;
PERFTEST_SHORT )
pybot ${PYBOT_ARGS} \
- -L TRACE \
-v TOPOLOGY_PATH:${WORKING_TOPOLOGY} \
-s "tests.perf" \
-i NDRCHK \
@@ -158,7 +172,6 @@ case "$TEST_TAG" in
PERFTEST_NIGHTLY )
#run all available tests
pybot ${PYBOT_ARGS} \
- -L TRACE \
-v TOPOLOGY_PATH:${WORKING_TOPOLOGY} \
-s "tests.perf" \
tests/
@@ -167,7 +180,6 @@ case "$TEST_TAG" in
* )
# run full performance test suite and exit on fail
pybot ${PYBOT_ARGS} \
- -L TRACE \
-v TOPOLOGY_PATH:${WORKING_TOPOLOGY} \
-s "tests.perf" \
tests/